Loading...
Searching...
No Matches
utcb.h File Reference
Base API » Object Invocation » Virtual Registers (UTCBs)

UTCB definitions for x86. More...

`#include <l4/sys/types.h>`
Include dependency graph for utcb.h:

Go to the source code of this file.

## Data Structures

struct | l4_exc_regs_t
| UTCB structure for exceptions. More...

## Typedefs

typedef struct l4_exc_regs_t | l4_exc_regs_t
| UTCB structure for exceptions.

## Enumerations

enum | L4_utcb_consts_x86 { L4_UTCB_EXCEPTION_REGS_SIZE = 19 , L4_UTCB_GENERIC_DATA_SIZE = 63 , L4_UTCB_GENERIC_BUFFERS_SIZE = 58 , L4_UTCB_MSG_REGS_OFFSET = 0 , L4_UTCB_BUF_REGS_OFFSET = 64 * sizeof(l4_umword_t) , L4_UTCB_THREAD_REGS_OFFSET = 123 * sizeof(l4_umword_t) , L4_UTCB_INHERIT_FPU = 1UL << 24 , L4_UTCB_OFFSET = 512 }
| UTCB constants for x86. More...

## Functions

l4_umword_t | l4_utcb_exc_pc (l4_exc_regs_t const *u) L4_NOTHROW
| Access function to get the program counter of the exception state.
void | l4_utcb_exc_pc_set (l4_exc_regs_t *u, l4_addr_t pc) L4_NOTHROW
| Set the program counter register in the exception state.
l4_umword_t | l4_utcb_exc_typeval (l4_exc_regs_t const *u) L4_NOTHROW
| Get the value out of an exception UTCB that describes the type of exception.
int | l4_utcb_exc_is_pf (l4_exc_regs_t const *u) L4_NOTHROW
| Check whether an exception IPC is a page fault.
l4_addr_t | l4_utcb_exc_pfa (l4_exc_regs_t const *u) L4_NOTHROW
| Function to get the L4 style page fault address out of an exception.
int | l4_utcb_exc_is_ex_regs_exception (l4_exc_regs_t const *u) L4_NOTHROW
| Check whether an exception IPC was triggered via l4_thread_ex_regs().

## Detailed Description

UTCB definitions for x86.

Definition in file utcb.h.